Sets the image composite operator

- « Imagick::setImageColorspace

- Imagick::setImageCompression »

- PHP Manual
- Imagick
- Sets the image composite operator

# Imagick::setImageCompose

(PECL imagick 2, PECL imagick 3)

Imagick::setImageCompose — Sets the image composite operator

### Description

public Imagick::setImageCompose(int `$compose`): bool

Sets the image composite operator, useful for specifying how to composite the image thumbnail when using the Imagick::montageImage() method.

### Parameters

`compose`

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.